org.apache.commons.math3.exception

## Class MathInternalError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.apache.commons.math3.exception.MathIllegalStateException
          - - org.apache.commons.math3.exception.MathInternalError

All Implemented Interfaces:
  Serializable, ExceptionContextProvider

    public class MathInternalError
    extends MathIllegalStateException

Exception triggered when something that shouldn't happen does happen.

Since:
  2.2
Version:
  $Id: MathInternalError.java 1364378 2012-07-22 17:42:38Z tn $
See Also:
  Serialized Form

### Field Summary

Fields
`private static String` `REPORT_URL` URL for reporting problems.
`private static long` `serialVersionUID` Serializable version Id.

### Constructor Summary

Constructors
Constructor and Description
`MathInternalError()` Simple constructor.
`MathInternalError(Localizable pattern, Object... args)` Constructor accepting a localized message.
`MathInternalError(Throwable cause)` Simple constructor.

### Method Summary

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalStateException

`getContext, getLocalizedMessage, getMessage`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serializable version Id.

See Also:
  Constant Field Values

#### REPORT_URL

    private static final String REPORT_URL

URL for reporting problems.

See Also:
  Constant Field Values

### Constructor Detail

#### MathInternalError

    public MathInternalError()

Simple constructor.

#### MathInternalError

    public MathInternalError(Throwable cause)

Simple constructor.

Parameters:
  `cause` - root cause

#### MathInternalError

    public MathInternalError(Localizable pattern,
                     Object... args)

Constructor accepting a localized message.

Parameters:
  `pattern` - Message pattern explaining the cause of the error.
  `args` - Arguments.